Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class RawScribeRegrTest

    java.lang.Object
      rice.p2p.commonapi.testing.CommonAPITest
          rice.p2p.scribe.testing.ScribeRegrTest
              rice.p2p.scribe.testing.RawScribeRegrTest

Direct Known Subclasses:
  RendezvousScribeTest

    public class RawScribeRegrTest

extends ScribeRegrTest

Version:
  $Id: ScribeRegrTest.java 3157 2006-03-19 12:16:58Z jeffh $
Author:
  Alan Mislove

Nested Class Summary
`protected static class` | `RawScribeRegrTest.RawTestScribeContent` Utility class for past content objects

Nested classes/interfaces inherited from class rice.p2p.scribe.testing.ScribeRegrTest
`ScribeRegrTest.TestRouteMessage, ScribeRegrTest.TestScribeClient, ScribeRegrTest.TestScribeContent, ScribeRegrTest.TestScribePolicy`

Field Summary

Fields inherited from class rice.p2p.scribe.testing.ScribeRegrTest
`INSTANCE, policies, scribes`

Fields inherited from class rice.p2p.commonapi.testing.CommonAPITest
`BOOTSTRAP, BOOTSTRAP_PORT, environment, factory, FACTORY, FAILURE, idFactory, INSTANCE_NAME, LEASE_PERIOD, logger, nodes, NUM_NODES, PAD_SIZE, params, PORT, PROTOCOL, PROTOCOL_DIRECT, simulator, SIMULATOR, SIMULATOR_EUCLIDEAN, SIMULATOR_GT_ITM, SIMULATOR_SPHERE, SUCCESS, TIME_TO_FIND_FAULTY`

Constructor Summary
`RawScribeRegrTest(Environment env)`

Method Summary
`ScribeRegrTest.TestScribeContent` | `buildTestScribeContent(Topic topic, int num)`
`static void` | `main(java.lang.String[] args)` Usage: DistScribeRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]
`protected void` | `processNode(int num, Node node)` Method which should process the given newly-created node

Methods inherited from class rice.p2p.scribe.testing.ScribeRegrTest
`buildListOf1, runTest, setupParams, testAddNode, testAPI, testBasic, testFailureNotification, testMaintenance, testMultiSubscribe, testSingleRoot`

Methods inherited from class rice.p2p.commonapi.testing.CommonAPITest
`assertEquals, assertTrue, createNode, createNodes, getBootstrap, kill, parseArgs, pause, sectionDone, sectionStart, simulate, start, stepDone, stepDone, stepDone, stepException, stepStart, waitOnClock, waitToRecoverFromKilling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawScribeRegrTest

    public RawScribeRegrTest(Environment env)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### buildTestScribeContent

    public ScribeRegrTest.TestScribeContent buildTestScribeContent(Topic topic,
                                                                   int num)

  Overrides:
    `buildTestScribeContent` in class `ScribeRegrTest`

### processNode

    protected void processNode(int num,
                               Node node)

  Description copied from class: `ScribeRegrTest`
  Method which should process the given newly-created node

  Overrides:
    `processNode` in class `ScribeRegrTest`
  Parameters:
    `num` - The number of this node
    `node` - The newly created node

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Usage: DistScribeRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]

  Parameters:
    `args` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.